apiVersion: gateway.networking.k8s.io/v1beta1
kind: HTTPRoute
metadata:
  name: kratos-public-route
spec:
  parentRefs:
    - name: vip-240
      sectionName: main
      namespace: istio-system
  hostnames: ["kratos.agepoly.ch"]
  rules:
    - matches:
        - path:
            type: PathPrefix
            value: /
      backendRefs:
        - name: kratos-public
          port: 80
